%define upstream_name    Tie-Cycle
%define upstream_version 1.229

%{?perl_default_filter}

Name:       perl-Tie-Cycle
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Cycle through a list of values via a scalar
License:    Artistic 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/Tie-Cycle
Source0:    https://cpan.metacpan.org/authors/id/B/BD/BDFOY/Tie-Cycle-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: coreutils
BuildRequires: make
BuildRequires: perl
# Run-time

# Tests

# Optional tests

%description
This Perl module can be used to go through a list over and over again.
Once you get to the end of the list, you go back to the beginning.  You
do not have to worry about any of this since the magic of tie does that
for you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.229.0-1.mga10
+ Revision: 2141377
- update to 1.229

* Wed Feb 07 2024 tv <tv> 1.228.0-1.mga10
+ Revision: 2038334
- update to 1.228

* Tue Mar 29 2022 umeabot <umeabot> 1.227.0-2.mga9
+ Revision: 1831295
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 1.227.0-1.mga9
+ Revision: 1767786
- update to 1.227
- use %%upstream_name for magpie
- use %%mkrel (!!)

* Fri Nov 26 2021 joequant <joequant> 1.226-1.mga9
+ Revision: 1759252
- imported package perl-Tie-Cycle

